[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: WARNING: Re: debhelper & /usr/bin/passwd

On Sat, Jan 30, 1999 at 10:06:30PM -0800, Stephen Zander wrote:
> >>>>> "Brian" == Brian May <bam@snoopy.apana.org.au> writes:
>     Brian> My versions of dpkg claim that --force-overwrite isn't on
>     Brian> be default (otherwise it should have [*] after it):
> As does mine: and it lies!  I've been testing package upgrades & dpkg
> itself is very definately using --force-overwite

which is a damn good thing.

please, nobody suggest changing the default behaviour until dpkg has
a config file in /etc allowing each system admin to choose what the
default should be.

i get really sick of apt/dselect upgrades not working in unstable
because some people have the mistaken belief that --force-overwrite
should default to off.

yes, you can override it on the dpkg command line....but there is no way
to override it if you use dselect or apt. this is evil.


craig sanders

Reply to: